Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Intel Wireless 7260
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
ftomassetti
n00b
n00b


Joined: 28 Oct 2013
Posts: 17

PostPosted: Wed Oct 30, 2013 5:32 pm    Post subject: Intel Wireless 7260 Reply with quote

Hi,
ifconfig -a do not list my card, iwlwifi fails to activate it because firmware is missing:

Code:

dmesg | grep iwlwifi
[    2.856317] iwlwifi 0000:03:00.0: irq 45 for MSI/MSI-X
[    2.860431] iwlwifi 0000:03:00.0: request for firmware file 'iwlwifi-7260-6.ucode' failed.
[    2.860434] iwlwifi 0000:03:00.0: no suitable firmware found!
[   75.593691] iwlwifi 0000:03:00.0: irq 46 for MSI/MSI-X
[   75.594398] iwlwifi 0000:03:00.0: request for firmware file 'iwlwifi-7260-6.ucode' failed.
[   75.594401] iwlwifi 0000:03:00.0: no suitable firmware found!


I have emerged linux-firmware and it seems I have a newer firmware:

Code:

ls /lib/firmware/iwlwifi-*
/lib/firmware/iwlwifi-100-5.ucode   /lib/firmware/iwlwifi-5000-2.ucode
/lib/firmware/iwlwifi-1000-3.ucode  /lib/firmware/iwlwifi-5000-5.ucode
/lib/firmware/iwlwifi-1000-5.ucode  /lib/firmware/iwlwifi-5150-2.ucode
/lib/firmware/iwlwifi-105-6.ucode   /lib/firmware/iwlwifi-6000-4.ucode
/lib/firmware/iwlwifi-135-6.ucode   /lib/firmware/iwlwifi-6000g2a-5.ucode
/lib/firmware/iwlwifi-2000-6.ucode  /lib/firmware/iwlwifi-6000g2a-6.ucode
/lib/firmware/iwlwifi-2030-6.ucode  /lib/firmware/iwlwifi-6000g2b-5.ucode
/lib/firmware/iwlwifi-3160-7.ucode  /lib/firmware/iwlwifi-6000g2b-6.ucode
/lib/firmware/iwlwifi-3945-2.ucode  /lib/firmware/iwlwifi-6050-4.ucode
/lib/firmware/iwlwifi-4965-2.ucode  /lib/firmware/iwlwifi-6050-5.ucode
/lib/firmware/iwlwifi-5000-1.ucode  /lib/firmware/iwlwifi-7260-7.ucode


lspci output:
Code:

 lspci | grep -i network
03:00.0 Network controller: Intel Corporation Device 08b1 (rev 73)


I am using gentoo sources (3.10.7-gentoo-r1).
Any suggestions?
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2643
Location: Slovenia

PostPosted: Wed Oct 30, 2013 5:54 pm    Post subject: Reply with quote

Your kernel is too old. You need at least 3.11
Back to top
View user's profile Send private message
ftomassetti
n00b
n00b


Joined: 28 Oct 2013
Posts: 17

PostPosted: Wed Oct 30, 2013 6:00 pm    Post subject: Reply with quote

Does it mean to use something different from gentoo-sources?
Wouldn't be a mess to switch to vanilla-sources (I would not know how to configure a kernel from scratch...)
Back to top
View user's profile Send private message
ftomassetti
n00b
n00b


Joined: 28 Oct 2013
Posts: 17

PostPosted: Sat Nov 09, 2013 9:40 am    Post subject: Reply with quote

In the end I used vanilla-sources coping just the .config file.

Thanks.

Still, the driver is buggy (more on that in another thread)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum